Subject: ARM perf events spin locks

From: [email-masked] (Will Deacon)
Date: Tue, 30 Nov 2010 13:59:10 -0000

> > Well struct perf_event_ctx has a lock field which is of type raw_spinlock_t.
> > I *think* this is always held by the core perf code before calling the backend,
> > however IRQs may still be enabled so we probably do need to change our pmu_lock.
> >
> > Is that a sane analysis?
> That sounds perfectly reasonable to me! We don't hold these locks for any
> potentially long periods of time so it's probably better to be safe! Do you
> want me to make this change after perf-split is merged or is that something
> you're happy to do?

I don't mind doing it as a separate patch after Russell has pulled my
perf-split branch. I don't think it should form part of the pull though
because it's unrelated.

Will